import Vue from 'vue'
import Vuex from 'vuex'
import system from './system'
import building from './modules/building'
import img from './modules/img'
import apartment from './modules/apartment'
Vue.use(Vuex)

const store = new Vuex.Store({
  ...system,
  modules: {
    building,
    img,
    apartment,
    persons: require('./modules/persons').default,
  }
})

export default store
